#pragma once
#include "Entity.h"
#include "CS_Boss_Honeycomb.h"
#include "CS_Boss_DemonFlower.h"
#define CS_BOSS_CONTROLCORE_CREATENAME L"CS_boss_controlcore"
//¿ØÖÆºËÐÄ
class CS_Boss_ControlCore :
    public Entity
{
public:
    CS_Boss_ControlCore();
    void Step() override;
    void SetState(std::wstring stateName, int lr) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    std::weak_ptr<CS_Boss_Honeycomb> honeycomb;
    std::weak_ptr<CS_Boss_DemonFlower> demonflower;
    bool bFindEntity = true;
    bool bBoot = false;
    int change_counter = 0;
    int change_counter_max = 0;
    bool honeycomb_open = false;
    bool demonflower_open = false;
    bool secondForm = false;
    int sleep_counter = 0;
};

std::shared_ptr<Entity> CreateCS_Boss_ControlCore();